package com.schbrain.canal.client.conf;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * CANAL Config
 *
 * @author zhuyf
 * @date 2022/6/16
 */
@Data
@ToString
public class CanalClientConfig implements Serializable {

    private static final long serialVersionUID = -2850256804111728271L;

    /**
     * 连接地址
     */
    private String addresses;
    /**
     * 订阅信息
     */
    private String subscribe;
    /**
     * zookeeper连接地址
     */
    private String zkHosts;
    /**
     * 用户名
     */
    private String username = "";
    /**
     * 密码
     */
    private String password = "";
    /**
     * 连接重试次数
     * -1 表示无限次重连
     */
    private int retryCount = 10;
    /**
     * 获取数据间隔时间(millisecond)
     */
    private long acquireInterval = 1000;
    /**
     * 批量获取数据条数
     */
    private int batchSize = 1000;


}

